# Generated by Django 4.2.3 on 2023-07-21 11:51

from django.db import migrations, models
import django.db.models.deletion
import functools
import geospatial.models


class Migration(migrations.Migration):

    dependencies = [
        ('geospatial', '0007_alter_refcategorysubs_icon_and_more'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='refcategory',
            options={'verbose_name': 'Категория', 'verbose_name_plural': 'Категории'},
        ),
        migrations.AlterModelOptions(
            name='refcategorysubs',
            options={'verbose_name': 'Под категория', 'verbose_name_plural': 'Под категории'},
        ),
        migrations.AlterField(
            model_name='refcategorysubs',
            name='category_old',
            field=models.TextField(verbose_name='Название категории'),
        ),
        migrations.AlterField(
            model_name='repairworks',
            name='contractor',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='geospatial.refcontractor', verbose_name='Застройщик'),
        ),
        migrations.AlterField(
            model_name='repairworks',
            name='description',
            field=models.TextField(blank=True, null=True, verbose_name='Описание'),
        ),
        migrations.AlterField(
            model_name='repairworks',
            name='document',
            field=models.FileField(blank=True, null=True, upload_to=functools.partial(geospatial.models.repair_work_file_path, *('repair_work_documents',), **{}), verbose_name='Пасспорт обьекта'),
        ),
        migrations.AlterField(
            model_name='repairworks',
            name='photo',
            field=models.ImageField(blank=True, null=True, upload_to=functools.partial(geospatial.models.repair_work_file_path, *('repair_works_photos',), **{}), verbose_name='Фото'),
        ),
        migrations.AlterField(
            model_name='repairworks',
            name='work_end_time',
            field=models.TimeField(blank=True, null=True, verbose_name='Время окончания работы'),
        ),
        migrations.AlterField(
            model_name='repairworks',
            name='work_start_time',
            field=models.TimeField(blank=True, null=True, verbose_name='Время начала работы'),
        ),
    ]
